> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/upload-files-with-the-geopard-api.md).

# Įkelti failus naudojant GeoPard API

{% hint style="success" %}
Failams, didesniems nei 6 MB, rekomenduojamas [iš anksto pasirašyto URL srautas](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API leidžia įkelti ZIP archyvus su dirvožemio, derlingumo, atliktų darbų ir lauko ribų duomenų rinkiniais, kad juos būtų galima toliau apdoroti ir analizuoti.

{% hint style="danger" %}
Dėl AWS apribojimo per šį REST galinį tašką galite įkelti ne didesnį nei 6 MB failą.
{% endhint %}

Failų, didesnių nei 6 MB, įkėlimo veiksmai aprašyti skiltyje [ZIP failų įkėlimas (didesnių nei 6 MB)](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Iš karto sėkmingai įkėlus dirvožemio, derlingumo arba atliktų darbų duomenų rinkinį, GeoPard variklis susieja jį su atitinkamais laukais apibrėžtame ūkyje.

Iš karto sėkmingai įkėlus lauko ribų duomenis, GeoPard variklis pradeda juos apdoroti.

Atsakyme pateikiamas `<uuid>` kurį galite naudoti apdorojimo būsenai stebėti.

#### Užklausos pavyzdys:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrai:

1. `<type>` – įkeliamo duomenų rinkinio tipas. Jis turi būti `yield` ARBA `soil` ARBA `applied` ARBA `boundary`.
2. `<farm_uuid>` – `uuid` ūkio, į kurį bus įkeliamas failas (neprivaloma).
3. `<token>` – GeoPard prieigos prieigos raktas.
4. `@path/to/file.zip` – įkeliamo failo kelias.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
